com.sun.java.xml.ns.javaee

## Class OrderingType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.OrderingType

-     public class OrderingType
      extends Object

  Please see section 8.2.2 of the specification for details.

  Java-Klasse für orderingType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="orderingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="after" type="{http://java.sun.com/xml/ns/javaee}ordering-orderingType" minOccurs="0"/>
               <element name="before" type="{http://java.sun.com/xml/ns/javaee}ordering-orderingType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OrderingOrderingType` | `after`
    `protected OrderingOrderingType` | `before`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrderingOrderingType` | `getAfter()` Ruft den Wert der after-Eigenschaft ab.
    `OrderingOrderingType` | `getBefore()` Ruft den Wert der before-Eigenschaft ab.
    `void` | `setAfter(OrderingOrderingType value)` Legt den Wert der after-Eigenschaft fest.
    `void` | `setBefore(OrderingOrderingType value)` Legt den Wert der before-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### after

          protected OrderingOrderingType after

    - #### before

          protected OrderingOrderingType before

  - ### Constructor Detail

    - #### OrderingType

          public OrderingType()

  - ### Method Detail

    - #### getAfter

          public OrderingOrderingType getAfter()

      Ruft den Wert der after-Eigenschaft ab.
      Returns:
        possible object is `OrderingOrderingType`

    - #### setAfter

          public void setAfter(OrderingOrderingType value)

      Legt den Wert der after-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `OrderingOrderingType`

    - #### getBefore

          public OrderingOrderingType getBefore()

      Ruft den Wert der before-Eigenschaft ab.
      Returns:
        possible object is `OrderingOrderingType`

    - #### setBefore

          public void setBefore(OrderingOrderingType value)

      Legt den Wert der before-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `OrderingOrderingType`

Copyright © 2015 buschmais GbR. All rights reserved.